
audio = {}
audio.sources = {}
audio.volume = 1

function audio:play(clip, pitch)
    if audio.volume==0 then return end

    for k,v in ipairs(self.sources) do
        if k==clip then
            v:play()
            return
        end
    end

    local aud = love.audio.newSource("assets/audio/"..clip..".ogg", "static")

    aud:setPitch(pitch or 1)
    aud:play()
    self.sources[clip] = aud

end
