
require "entities/entity"
require "model"

Bed = Entity:extend("Bed")

function Bed:init(x, y)

    self.model = Model:new("bed", 64, 32)
    self.model.spacing = 2
    
    self.x = x
    self.y = y

    self.physics = Physics:new(self.x, self.y, "static", 64, 32)
    --self.physics.body:setMass(50)
    --self.physics.body:setAngularDamping(1000)
end

function Bed:update(dt)
    --self.physics:updatePosition(self)
end
