

Pickup = Entity:extend("Pickup")

function Pickup:init()
    self.carry = false
end

function Pickup:update(dt)

    if not self.carry and not self.remove and not game.player.carry and CheckCollision(self.x, self.y, 16, 16, game.player.x-10, game.player.y-10, 20, 20) then
        self.carry = true
        game.player.carry = self
        self:pickup()
    end

    if self.carry then
        self.x = game.player.x
        self.y = game.player.y
        self.z = 35
    end
end

function Pickup:pickup()
    audio:play("pickup")
end

function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end
