

Camera = class("Camera")

Camera.x = 0
Camera.y = 0
Camera.rotation = 0
Camera.zoom = 2

Camera.cos = 0
Camera.sin = 0

Camera.right = {x=0, y=0}
Camera.up = {x=0, y=0}

function Camera:init()
    Camera.x = game.player.x
    Camera.y = game.player.y
end

function Camera:update(dt)

    self.cos = math.cos(self.rotation)
    self.sin = math.sin(self.rotation)


    local rotSpeed = 1

    if love.keyboard.isDown("right") then
        self.rotation = self.rotation - dt*rotSpeed
    end

    if love.keyboard.isDown("left") then
        self.rotation = self.rotation + dt*rotSpeed
    end

    if love.keyboard.isDown("r") then
        self.rotation = 0
    end

    --Todo lerp movement
    self.x = util.lerp(self.x, game.player.x, dt*5)
    self.y = util.lerp(self.y, game.player.y, dt*5)

    self.x = math.floor(self.x)
    self.y = math.floor(self.y)

end

function Camera:translate()

    love.graphics.scale(self.zoom, self.zoom)
    love.graphics.translate(GAME_WIDTH/2/self.zoom, GAME_HEIGHT/2/self.zoom)
    love.graphics.rotate(self.rotation)
    love.graphics.translate(-self.x, -self.y)
end
