require "entities/entity"
require "model"

Crate = Entity:extend("Crate")

function Crate:init(x, y)

    self.model = Model:new("crate", 32)
    self.x = x
    self.y = y

    self.physics = Physics:new(self.x, self.y, "dynamic", 32, 32)
    self.physics.body:setMass(50)
    self.physics.body:setAngularDamping(1000)
end

function Crate:update(dt)
    self.physics:updatePosition(self)
end
